import Vue from 'vue';
import Vuex from 'vuex';
import _ from 'lodash';
Vue.use(Vuex);
const api = {
  applyInfo: `/api/live/dock/apply`,
};
const state = () => ({});
const mutations = {};

const actions = {
  async query({ commit }, { skip = 0, limit = undefined, ...info } = {}) {
    const res = await this.$axios.$get(api.applyInfo, { skip, limit, ...info });
    return res;
  },
  async create({ commit }, { id, ...info } = {}) {
    const res = await this.$axios.$post(`${api.applyInfo}/${id}`, { ...info });
    return res;
  },
  async fetch({ commit }, payload) {
    const res = await this.$axios.$get(`${api.applyInfo}/${payload}`);
    return res;
  },
  async update({ commit }, { dock_id, id, ...data }) {
    const res = await this.$axios.$post(`${api.applyInfo}/${dock_id}/check/${id}`, data);
    return res;
  },
  async delete({ commit }, payload) {
    const res = await this.$axios.$delete(`${api.applyInfo}/${payload}`);
    return res;
  },
};

export default {
  namespaced: true,
  state,
  mutations,
  actions,
};
